API Documentation

Integration API

Integration keeps information about localization of your product feed and your default delivery cost. You can review and modify both values. Integration API provides method for requesting update of your products.

Get integration info

GET /integration.:format

This method requires authentication

Example

$ curl http://api.zubibu.com/v1/integration.xml?api_key=API_KEY

Response

HTTP/1.1 200 OK
{
  "created_at": "2010-09-17T13:23:28+02:00",
  "updated_at": "2011-04-19T03:35:51+02:00",
  "url": "http://myshop.example.com/feeds/google_merchant.xml",
  "delivery_cost": 15.0
}

Modify an integration info

PUT /integration.:format

This method requires authentication

Example

$ curl -X PUT -H "Content-Type: application/xml" http://api.zubibu.com/v1/integration.xml?api_key=API_KEY \
-d '<?xml version="1.0" encoding="UTF-8"?><integration><delivery-cost type="float">9.49</delivery-cost></integration>'

Response

HTTP/1.1 200 OK
<?xml version="1.0" encoding="UTF-8"?>
<integration>
  <url>http://myshop.example.com/feeds/google_merchant.xml</url>
  <delivery-cost type="float">9.49</delivery-cost>
  <updated-at type="datetime">2011-07-29T17:23:19+02:00</updated-at>
  <created-at type="datetime">2010-09-17T13:23:28+02:00</created-at>
</integration>

Request importing your product feed

POST /integration/request.:format

This method requires authentication

Example

$ curl -X POST http://api.zubibu.com/v1/integration/request.json?api_key=API_KEY

Response

HTTP/1.1 202 Accepted